CLASS REQUIRED_OPT(3)

NAME
boost::program_options::required_option

SYNOPSIS

// In header: <boost/program_options/errors.hpp>
class required_option : public boost::program_options::error {
public:
  // construct/copy/destruct
  required_option(const std::string &);
  ~required_option();
  // public member functions
  const std::string & get_option_name() const;
};

DESCRIPTION

Class thrown when a required/mandatory option is missing

  required_option public construct/copy/destruct

    1.

    required_option(const std::string & name);

    2.

    ~required_option();

  required_option public member functions

    1.

    const std::string & get_option_name() const;